## org.gnu.gtk.event
Class DragEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.DragEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DeleteDragDataEvent, DragMotionEvent, DropDragEvent, EndDragEvent, LeaveDragDestinationEvent, ReceiveDragDataEvent, RequestDragDataEvent, StartDragEvent

public class DragEvent
extends GtkEvent

See Also:
  Serialized Form

Constructor Summary
`DragEvent(Widget source, EventType type, DragContext context)`

Method Summary
`DragContext` `getDragContext()`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DragEvent

    public DragEvent(Widget source,
                     EventType type,
                     DragContext context)

Method Detail

### getDragContext

    public DragContext getDragContext()